# -*- coding: utf-8 -*-
import re
import os
import codecs


line_list = []
sound_list = []
define_list = []
def write2File(define_list):
    fileStr = ""
    soundConstFileName = "../../Classes/SoundConst.h"
    file = open(soundConstFileName,'w')
    for sound in define_list:
        li = str(sound).split(',')
        a = li[0]
        b = li[0].lstrip('"').rstrip('"').upper()
        define = "#define\t"+"SOUND_"+b+'\t'+a
        if len(li) == 3:
            define  = define +"\t//"+li[2]
        fileStr = fileStr +define +'\n'
    file.write(fileStr)

soundFilePath = "sound.json"
file_object = open(soundFilePath,'r',-1)
line_list = file_object.readlines()
pattern = '\\[.*\\]'
for line in line_list:
    line = line.lstrip(' ').rstrip(' ').strip('\r\n').lstrip('\t')
    m = re.match(pattern,line)
    if m is not None:
        sound_list.append(line)

for sound in sound_list:
    sound = str(sound).lstrip('[').rstrip(' ').rstrip(',').rstrip(']')
    define_list.append(sound)

write2File(define_list)
